libsigc++ 2.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::exception_catch_functor< T_functor, T_catcher, T_return > Struct Template Reference

`#include <sigc++/adaptors/exception_catch.h>`

Inheritance diagram for sigc::exception_catch_functor< T_functor, T_catcher, T_return >:
[legend]

## Public Types
using | adaptor_type = typename adapts< T_functor >::adaptor_type
using | result_type = T_return
Public Types inherited from sigc::adapts< T_functor >
using | adaptor_type = typename adaptor_trait< T_functor >::adaptor_type
using | result_type = typename adaptor_trait< T_functor >::result_type

## Public Member Functions
| exception_catch_functor (const T_functor& _A_func, const T_catcher& _A_catcher)
decltype(auto) | operator() ()
template<class... T_arg>
decltype(auto) | operator() (T_arg..._A_a)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Public Attributes
T_catcher | catcher_
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Member Typedef Documentation

template <class T_functor , class T_catcher , class T_return = typename adapts<T_functor>::result_type>

using sigc::exception_catch_functor< T_functor, T_catcher, T_return >::adaptor_type = typename adapts<T_functor>::adaptor_type

template <class T_functor , class T_catcher , class T_return = typename adapts<T_functor>::result_type>

using sigc::exception_catch_functor< T_functor, T_catcher, T_return >::result_type = T_return

## Constructor & Destructor Documentation

template <class T_functor , class T_catcher , class T_return = typename adapts<T_functor>::result_type>

sigc::exception_catch_functor< T_functor, T_catcher, T_return >::exception_catch_functor | ( | const T_functor & | _A_func,
|  | const T_catcher & | _A_catcher
| ) |  |
| inline

## Member Function Documentation

template <class T_functor , class T_catcher , class T_return = typename adapts<T_functor>::result_type>

decltype(auto) sigc::exception_catch_functor< T_functor, T_catcher, T_return >::operator() | ( |  | ) |
| inline

template <class T_functor , class T_catcher , class T_return = typename adapts<T_functor>::result_type>
template <class... T_arg>

decltype(auto) sigc::exception_catch_functor< T_functor, T_catcher, T_return >::operator() | ( | T_arg... | _A_a | ) |
| inline

## Member Data Documentation

template <class T_functor , class T_catcher , class T_return = typename adapts<T_functor>::result_type>

T_catcher sigc::exception_catch_functor< T_functor, T_catcher, T_return >::catcher_